Subject: Re: why $HOME/.bashrc is not picked up?
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Mon, 18 Apr 2005 15:58:39 -0700

lin q wrote:

>   I can not see "hahaha" when I run cygwin.bat to open a new cygwin window.
> 
>   I am sure HOME is set as I add the following line to cygwin.bat,
> 
>         echo %HOME%
> 
>   and I see the correct path.
> 
>   Then I wonder why else might be wrong here?

~/.bashrc is not read for interactive login shells.  "man bash", section
"INVOCATION".

The typical thing to do if you want .bashrc to be read for both login
and non-login shells is to place something like "[ -f ~/.bashrc ] && .
~/.bashrc" in ~/.bash_profile.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/